Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### map()
Examples |
    size(400, 400);
    float value = 25;
    float m = map(value, 0, 100, 0, width);
    ellipse(m, 200, 10, 10);
Description | Re-maps a number from one range to another. In the example above, the number '25' is converted from a value in the range 0..100 into a value that ranges from the left edge (0) to the right edge (width) of the screen. Numbers outside the range are not clamped to 0 and 1, because out-of-range values are often intentional and useful.
Syntax |
    map(value, low1, high1, low2, high2)
Parameters |
value | float: The incoming value to be converted
low1 | float: Lower bound of the value's current range
high1 | float: Upper bound of the value's current range
low2 | float: Lower bound of the value's target range
high2 | float: Upper bound of the value's target range
Returns | float
Usage | Web & Application
Related | norm() lerp()

Updated on August 30, 2010 04:29:39pm EDT